function xChar:ARENA_TEAM_ROSTER_UPDATE()
	self:GetArenaTeamInfo(PVPTeamDetails.team) 
end

function xChar:GetArenaTeamInfo(teamID)

	local ArenaTeam = {}

	local teamName, teamSize, teamRating, weekPlayed, weekWins, seasonPlayed, seasonWins, playerPlayed, teamRank, 
	bgR, bgG, bgB, emblem, emblemR, emblemG, emblemB, borderR, borderG, borderB = GetArenaTeam(teamID)
	
	ArenaTeam.teamName = teamName
	ArenaTeam.teamSize = teamSize
	ArenaTeam.teamRating = teamRating
	ArenaTeam.weekPlayed = weekPlayed
	ArenaTeam.weekWins = weekWins
	ArenaTeam.seasonPlayed = seasonPlayed
	ArenaTeam.seasonWins = seasonWins
	ArenaTeam.playerPlayed = playerPlayed
	ArenaTeam.bgR = bgR
	ArenaTeam.bgG = bgG
	ArenaTeam.bgB = bgB
	ArenaTeam.emblem = emblem
	ArenaTeam.emblemR = emblemR
	ArenaTeam.emblemG = emblemG
	ArenaTeam.emblemB = emblemB
	ArenaTeam.borderR = borderR
	ArenaTeam.borderG = borderG
	ArenaTeam.borderB = borderB

	local membercount = GetNumArenaTeamMembers(teamID, true)
	local Members = {}
	
	for playerID = 1, membercount do
	
		local name, rank, level, class, online, played, win, 
		seasonPlayed, seasonWin = GetArenaTeamRosterInfo(teamID, playerID)
		
		Members[playerID] = {}
		Members[playerID].name = name
		Members[playerID].rank = rank
		Members[playerID].level = level
		Members[playerID].class = class
		Members[playerID].online = online
		Members[playerID].weekPlayed = played
		Members[playerID].weekWin = win
		Members[playerID].seasonPlayed = seasonPlayed
		Members[playerID].seasonWin = seasonWin
	
	end
	
	ArenaTeam.Members = Members
	UploadData.ArenaTeam[teamID] = ArenaTeam

end

function xChar:GetArena()
	UploadData.pvp_arenapoints = GetArenaCurrency()
	UploadData.ArenaTeam = {}
	for i = 1, 3 do
		self:ScheduleEvent(
			function() UploadData.ArenaTeam[i] = {}; PVPTeamDetails.team = i; ArenaTeamRoster(i) end, 2 * i
		)	
	end	
end