local BB = AceLibrary("Babble-Boss-2.2")

function xChar:createBossTable() 

	self.BossTable = {}
	-- for testing on non-bosses
	-- self.BossTable["Skettis Surger"] = "Skettis Surger"

	self.BossTable["Attumen the Huntsman"] = BB["Attumen the Huntsman"]
	self.BossTable["Dorothee"] = BB["Dorothee"]
	self.BossTable["Hyakiss the Lurker"] = BB["Hyakiss the Lurker"]
	self.BossTable["Julianne"] = BB["Julianne"]
	self.BossTable["Maiden of Virtue"] = BB["Maiden of Virtue"]
	self.BossTable["Midnight"] = BB["Midnight"]
	self.BossTable["Moroes"] = BB["Moroes"]
	self.BossTable["Netherspite"] = BB["Netherspite"]
	self.BossTable["Nightbane"] = BB["Nightbane"]
	self.BossTable["Prince Malchezaar"] = BB["Prince Malchezaar"]
	self.BossTable["Roar"] = BB["Roar"]
	self.BossTable["Rokad the Ravager"] = BB["Rokad the Ravager"]
	self.BossTable["Romulo"] = BB["Romulo"]
	self.BossTable["Shade of Aran"] = BB["Shade of Aran"]
	self.BossTable["Shadikith the Glider"] = BB["Shadikith the Glider"]
	self.BossTable["Strawman"] = BB["Strawman"]
	self.BossTable["Terestian Illhoof"] = BB["Terestian Illhoof"]
	self.BossTable["The Big Bad Wolf"] = BB["The Big Bad Wolf"]
	self.BossTable["The Crone"] = BB["The Crone"]
	self.BossTable["The Curator"] = BB["The Curator"]
	self.BossTable["Tinhead"] = BB["Tinhead"]
	self.BossTable["Tito"] = BB["Tito"]
	
	self.BossTable["Fathom-Lord Karathress"] = BB["Fathom-Lord Karathress"]
	self.BossTable["Hydross the Unstable"] = BB["Hydross the Unstable"]
	self.BossTable["Lady Vashj"] = BB["Lady Vashj"]
	self.BossTable["Leotheras the Blind"] = BB["Leotheras the Blind"]
	self.BossTable["Morogrim Tidewalker"] = BB["Morogrim Tidewalker"]
	self.BossTable["The Lurker Below"] = BB["The Lurker Below"]
	
	self.BossTable["Gruul the Dragonkiller"] = BB["Gruul the Dragonkiller"]
	self.BossTable["High King Maulgar"] = BB["High King Maulgar"]

	self.BossTable["Magtheridon"] = BB["Magtheridon"]

	self.BossTable["Al'ar"] = BB["Al'ar"]
	self.BossTable["High Astromancer Solarian"] = BB["High Astromancer Solarian"]
	self.BossTable["Kael'thas Sunstrider"] = BB["Kael'thas Sunstrider"]
	self.BossTable["Void Reaver"] = BB["Void Reaver"]
	
	self.BossTable["Illidan Stormrage"] = BB["Illidan Stormrage"]
	self.BossTable["Mother Shahraz"] = BB["Mother Shahraz"]
	self.BossTable["Lady Malande"] = BB["Lady Malande"]
	self.BossTable["High Warlord Naj'entus"] = BB["High Warlord Naj'entus"]
	self.BossTable["Teron Gorefiend"] = BB["Teron Gorefiend"] 
	self.BossTable["Gathios the Shatterer"] = BB["Gathios the Shatterer"]
	self.BossTable["Veras Darkshadow"] = BB["Veras Darkshadow"]
	self.BossTable["Gurtogg Bloodboil"] = BB["Gurtogg Bloodboil"] 
	self.BossTable["High Nethermancer Zerevor"] = BB["High Nethermancer Zerevor"]
	self.BossTable["Essence of Desire"] = BB["Essence of Desire"]
	self.BossTable["Essence of Grief"] = BB["Essence of Grief"]
	self.BossTable["Essence of Anger"] = BB["Essence of Anger"]
	self.BossTable["Supremus"] = BB["Supremus"]


	self.BossPoints = {}
	-- for testing on non-bosses
	-- self.BossPoints["Skettis Surger"] = "Skettis Surger"

	self.BossPoints["Attumen the Huntsman"] = 4
	self.BossPoints["Midnight"] = 4

	self.BossPoints["Dorothee"] = 1
	self.BossPoints["Roar"] = 1
	self.BossPoints["Tinhead"] = 1
	self.BossPoints["Tito"] = 1
	self.BossPoints["Strawman"] = 1
	self.BossPoints["The Crone"] = 1

	self.BossPoints["Julianne"] = 4
	self.BossPoints["Romulo"] = 4

	self.BossPoints["The Big Bad Wolf"] = 8

	self.BossPoints["Maiden of Virtue"] = 8
	self.BossPoints["Moroes"] = 8
	self.BossPoints["Netherspite"] = 8
	self.BossPoints["Nightbane"] = 11
	self.BossPoints["Prince Malchezaar"] = 8
	self.BossPoints["Shade of Aran"] = 8
	self.BossPoints["Terestian Illhoof"] = 8
	self.BossPoints["The Curator"] = 8

	self.BossPoints["Hyakiss the Lurker"] = 1
	self.BossPoints["Shadikith the Glider"] = 1
	self.BossPoints["Rokad the Ravager"] = 1
	
	self.BossPoints["Fathom-Lord Karathress"] = 16
	self.BossPoints["Hydross the Unstable"] = 16
	self.BossPoints["Lady Vashj"] = 20
	self.BossPoints["Leotheras the Blind"] = 16
	self.BossPoints["Morogrim Tidewalker"] = 16
	self.BossPoints["The Lurker Below"] = 16
	
	self.BossPoints["Gruul the Dragonkiller"] = 50
	self.BossPoints["High King Maulgar"] = 50

	self.BossPoints["Magtheridon"] = 100

	self.BossPoints["Al'ar"] = 25
	self.BossPoints["High Astromancer Solarian"] = 25
	self.BossPoints["Kael'thas Sunstrider"] = 25
	self.BossPoints["Void Reaver"] = 25

	self.BossPoints["Illidan Stormrage"] = 9
	self.BossPoints["Mother Shahraz"] = 7
	self.BossPoints["Lady Malande"] = 7
	self.BossPoints["High Warlord Naj'entus"] = 7
	self.BossPoints["Teron Gorefiend"] = 7
	self.BossPoints["Gathios the Shatterer"] = 7
	self.BossPoints["Veras Darkshadow"] = 7
	self.BossPoints["Gurtogg Bloodboil"] = 7
	self.BossPoints["High Nethermancer Zerevor"] = 7
	self.BossPoints["Essence of Desire"] = 7
	self.BossPoints["Essence of Grief"] = 7
	self.BossPoints["Essence of Anger"] = 7
	self.BossPoints["Supremus"] = 7

end